社区新版论坛已上线,点击立即前往!使用 openKylin 账户授权登录,解锁更多体验!

openKylin论坛

 找回密码

我编译了gimp-2.10.34,需要的从本贴附件下载 [复制链接]

本帖最后由 rocket049 于 2023-9-3 21:22 编辑

附件包含:
gegl_0.4.44-1-openkylin_amd64.deb
gimp_2.10.34-1-openkylin_amd64.deb
安装方法:
sudo apt install ./gegl_0.4.44-1-openkylin_amd64.deb
sudo apt install ./gimp_2.10.34-1-openkylin_amd64.deb

附件:   
gegl_0.4.44-1-openkylin_amd64.deb:https://forum.openkylin.top/forum.php?mod=attachment&aid=MjM4ODV8ZGRkMThmMDkwNjlkNjZhN2RjYTdiY2FkZjcyZGI1ZDV8MTcxODYzMzYyOA%3D%3D&request=yes&_f=.deb
gimp_2.10.34-1-openkylin_amd64.deb:https://forum.openkylin.top/forum.php?mod=attachment&aid=MjM4ODZ8YzM3NTczZTZjYjQxY2Q0MGFjNThhOTBiYzc3M2FlYWV8MTcxODYzMzYyOA%3D%3D&request=yes&_f=.deb
下载方法:复制 https 开头的链接,用浏览器打开。

2023-9-3 17:15 重新打包,修正了依赖关系。

2023-9-3 20:57 重新打包,安装后运行 ldconfig 命令。

2023-9-3 21:21 重新打包,DEB包信息增加源代码地址。
发表于 2023-9-3 15:59:14
回复

使用道具 举报

我编译了gimp-2.10.34,需要的从本贴附件下载 [复制链接]

哎呀,无法启动唉!(没反应,也看不到进程) 2023-09-03_16-58-07.png
是不是安装方法不对?我是用安装器安装的
发表于 2023-9-3 17:00:12
回复

使用道具 举报

我编译了gimp-2.10.34,需要的从本贴附件下载 [复制链接]

本帖最后由 rocket049 于 2023-9-3 17:16 编辑
黑水娃娃 发表于 2023-9-3 17:00
哎呀,无法启动唉!(没反应,也看不到进程)
是不是安装方法不对?我是用安装器安装的

你用命令 gimp 启动,帮忙把报错信息贴出来,可能我设置的依赖包有缺失。
 楼主| 发表于 2023-9-3 17:05:07
回复

使用道具 举报

我编译了gimp-2.10.34,需要的从本贴附件下载 [复制链接]

黑水娃娃 发表于 2023-9-3 17:00
哎呀,无法启动唉!(没反应,也看不到进程)
是不是安装方法不对?我是用安装器安装的

已经修正了依赖关系,你可以卸载原来的,重新安装了
 楼主| 发表于 2023-9-3 17:16:40
回复

使用道具 举报

我编译了gimp-2.10.34,需要的从本贴附件下载 [复制链接]

两个包都卸载重装
 楼主| 发表于 2023-9-3 17:25:09 来自手机
回复

使用道具 举报

我编译了gimp-2.10.34,需要的从本贴附件下载 [复制链接]

本帖最后由 黑水娃娃 于 2023-9-3 18:17 编辑

两个都这样! 2023-09-03_18-12-05.png

ydt@ok:~/下载$ sudo apt install ./gegl_0.4.44-1-openkylin_amd64.deb
[sudo] ydt 的密码:
对不起,请重试。
[sudo] ydt 的密码:
正在读取软件包列表... 完成
E: 命令行中有不支持的文件 ./gegl_0.4.44-1-openkylin_amd64.deb


发表于 2023-9-3 18:13:25
回复

使用道具 举报

我编译了gimp-2.10.34,需要的从本贴附件下载 [复制链接]

黑水娃娃 发表于 2023-9-3 18:13
两个都这样!

ydt@ok:~/下载$ sudo apt install ./gegl_0.4.44-1-openkylin_amd64.deb

可能你下载没有成功,文件不完整,我刚刚自己测试了一下,是可以的

1.jpg
2.jpg
 楼主| 发表于 2023-9-3 18:44:57
回复

使用道具 举报

我编译了gimp-2.10.34,需要的从本贴附件下载 [复制链接]

Package: gimp
Version: 2.10.34-1
Status: install ok installed
Priority: extra
Section: checkinstall
Maintainer: fuhuizn@163.com
Installed-Size: 133 MB
Provides: gimp
Depends: gegl, libatk1.0-0, libbabl-0.1-0, libblkid1, libbsd0, libcairo2, libdatrie1, libexiv2-27, libffi8, libfontconfig1, libfreetype6, libfribidi0, libgdk-pixbuf2.0-0, libgexiv2-2, libglib2.0-0, libgomp1, libgraphite2-3, libgtk2.0-0, libharfbuzz0b, libjson-c4, libjson-glib-1.0-0, liblcms2-2, libmount1, libmypaint-1.5-1, libpango-1.0-0, libpangocairo-1.0-0, libpangoft2-1.0-0, libpcre2-8-0, libpixman-1-0, libpng16-16, libstdc++6, libthai0, libuuid1, libx11-6, libxau6, libxcb1, libxcb-render0, libxcb-shm0, libxcomposite1, libxcursor1, libxdamage1, libxdmcp6, libxext6, libxfixes3, libxi6, libxinerama1, libxrandr2, libxrender1
Download-Size: 未知
APT-Manual-Installed: yes
APT-Sources: /var/lib/dpkg/status
Description: gimp-2.1图片编辑软件,可以代替photoshop


Package: gegl
Version: 0.4.44-1
Status: install ok installed
Priority: extra
Section: checkinstall
Maintainer: fuhuizn@163.com
Installed-Size: 16.6 MB
Provides: gegl
Depends: libbabl-0.1-0, libblkid1, libffi8, libglib2.0-0, liblcms2-2, libmount1, libpcre2-8-0
Download-Size: 未知
APT-Manual-Installed: yes
APT-Sources: /var/lib/dpkg/status
Description: gegl-0.4 动态库和开发库
 楼主| 发表于 2023-9-3 18:49:25
回复

使用道具 举报

我编译了gimp-2.10.34,需要的从本贴附件下载 [复制链接]

rocket049 发表于 2023-9-3 18:44
可能你下载没有成功,文件不完整,我刚刚自己测试了一下,是可以的

是依赖包没有卸载导致再安装出错。
完全用命令安装的也是启动没反应。
这是反馈:
ydt@ok:~$ gimp
gimp: error while loading shared libraries: libgimpwidgets-2.0.so.0: cannot open shared object file: No such file or directory

发表于 2023-9-3 19:52:40
回复

使用道具 举报

openKylin

GMT+8, 2024-6-17 22:13 , Processed in 0.115703 second(s), 28 queries , Gzip On.

Copyright ©2022 openKylin. All Rights Reserved .

ICP No. 15002470-12 Tianjin

快速回复 返回顶部 返回列表